Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040006
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsmajoralways2019-01-23 10:042019-03-04 12:04
ReporterfranciscoView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision35ab49a29942
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned ToSandrahuguet
Regression introduced in release
Summary

0040006: AWO: users filter only by username

Descriptionwhen is created a customer from WEBPOS, this customer is created with an associated user. The user filter is by username, so that provoke to find clients, for example, in "pick" from sales order Window
Steps To Reproduce1. Created a customer from WEBPOS
2. Go in BackOffice to the sales order window
3. Book a sale order, and appears the "pick" and "issue" buttons
4. Click one of those, "pick" for example
5. The list of users to assign, is also showing the customer, we just created with the webpos
Proposed SolutionThe current filter condition is username not null, it should have something else
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0109928)
AtulOpenbravo (developer)
2019-02-19 11:30

1. For any organization, set Advanced Warehouse Operation Flow = Yes in Organization info tab.
2. Create a Sales Order for any business partner in above organization, add product, book a sale order, and appears the "pick" and "issue" buttons.
3. Click one of those, "pick" for example
4. Realize that only list of user is shown having Allow Warehouse Operations flag as Yes.
(0109999)
hgbot (developer)
2019-02-21 16:50

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 35ab49a299421906066ca429f4957927dc604a9a
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Feb 19 15:56:31 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/35ab49a299421906066ca429f4957927dc604a9a [^]

Fixes Issue 40006:AWO: users filter only by username

** Allow warehouse operation flag is added to User, mandatory
default value will be No, on create default value will be Yes,
it can have only value as Y or N.
** Awo User selector will load only users with allow warehouse
operation flag as Yes.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
A src-db/database/model/modifiedTables/AD_USER.xml
---
(0110000)
hgbot (developer)
2019-02-21 16:50

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 9cd84e53f8255b89d05ce9fa133c25c039da4130
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Feb 21 16:50:18 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/9cd84e53f8255b89d05ce9fa133c25c039da4130 [^]

related to issue 40006 keep previous filter clause

---
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
---
(0110001)
hgbot (developer)
2019-02-21 17:11

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: b962e1adad37169985ee145a9a12454b96a8445d
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Thu Feb 21 16:55:28 2019 +0100
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/b962e1adad37169985ee145a9a12454b96a8445d [^]

related to issue 40006 backport 18Q3

AWO: users filter only by username
** Allow warehouse operation flag is added to User, mandatory
default value will be No, on create default value will be Yes,
it can have only value as Y or N.
** Awo User selector will load only users with allow warehouse
operation flag as Yes.

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
A src-db/database/model/modifiedTables/AD_USER.xml
---
(0110002)
Sandrahuguet (developer)
2019-02-21 17:17

Code review + testing OK
(0110019)
hgbot (developer)
2019-02-22 10:14

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 859b3d2781fcf6184c930ec55ccdbddc7b6d89ac
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Feb 22 10:14:52 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/859b3d2781fcf6184c930ec55ccdbddc7b6d89ac [^]

Related to Issue 40006. Fixed Element value and exported synchronize
Terminology

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
---
(0110081)
hgbot (developer)
2019-02-26 11:38

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: ff44e406124750428abc058c15526dd248485ec6
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Feb 26 15:37:33 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/ff44e406124750428abc058c15526dd248485ec6 [^]

Related To Issue 40006:Fix sample data for retail test sample data for
allow warehouse operations flag for the user

---
M referencedata/sampledata/Retail_Test/AD_USER.xml
---
(0110186)
hgbot (developer)
2019-03-04 12:04

Repository: erp/pmods/org.openbravo.retail.testsampledata-orderpreparation
Changeset: ff44e406124750428abc058c15526dd248485ec6
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Feb 26 15:37:33 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata-orderpreparation/rev/ff44e406124750428abc058c15526dd248485ec6 [^]

Related To Issue 40006:Fix sample data for retail test sample data for
allow warehouse operations flag for the user

---
M referencedata/sampledata/Retail_Test/AD_USER.xml
---

- Issue History
Date Modified Username Field Change
2019-01-23 10:04 francisco New Issue
2019-01-23 10:04 francisco Assigned To => Triage Finance
2019-01-23 10:04 francisco Modules => Core
2019-01-23 10:04 francisco Triggers an Emergency Pack => No
2019-01-23 12:00 juabaez Issue Monitored: juabaez
2019-01-25 09:08 anderaranguren Project Openbravo ERP => Modules
2019-01-25 09:09 anderaranguren Category 04. Warehouse management => Advance Warehouse Operations
2019-02-11 16:29 francisco Type design defect => defect
2019-02-11 16:51 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2019-02-16 11:55 AtulOpenbravo Status new => scheduled
2019-02-19 11:30 AtulOpenbravo Note Added: 0109928
2019-02-21 16:50 hgbot Checkin
2019-02-21 16:50 hgbot Note Added: 0109999
2019-02-21 16:50 hgbot Status scheduled => resolved
2019-02-21 16:50 hgbot Resolution open => fixed
2019-02-21 16:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/35ab49a299421906066ca429f4957927dc604a9a [^]
2019-02-21 16:50 hgbot Checkin
2019-02-21 16:50 hgbot Note Added: 0110000
2019-02-21 17:11 hgbot Checkin
2019-02-21 17:11 hgbot Note Added: 0110001
2019-02-21 17:17 Sandrahuguet Review Assigned To => Sandrahuguet
2019-02-21 17:17 Sandrahuguet Note Added: 0110002
2019-02-21 17:17 Sandrahuguet Status resolved => closed
2019-02-22 10:14 hgbot Checkin
2019-02-22 10:14 hgbot Note Added: 0110019
2019-02-26 11:38 hgbot Checkin
2019-02-26 11:38 hgbot Note Added: 0110081
2019-03-04 12:04 hgbot Checkin
2019-03-04 12:04 hgbot Note Added: 0110186


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker